Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: net::InterfaceIPv6Info Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::InterfaceIPv6Info Struct Reference

Interface specific IPv6 info. More...

`import <Net.idl;`

## Public Attributes
boolean | enabled
| `true` if IPv6 is enabled
IpConfigMethod | configMethod
| Interface configuration method.
vector< IpAddrCidr > | addrsCidr
| List of active IPv6 addresses with prefix length.
string | dhcpServerId
| DHCPv6 server id or empty.
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)
boolean | raManaged
| "Managed" flag set in router announcements
boolean | raOtherConf
| "OtherConf" flag set in router announcements

## Detailed Description

Interface specific IPv6 info.

Definition at line 129 of file Net.idl.

## Member Data Documentation

## ◆ addrsCidr

vector<IpAddrCidr> net::InterfaceIPv6Info::addrsCidr

List of active IPv6 addresses with prefix length.

Definition at line 132 of file Net.idl.

## ◆ configMethod

IpConfigMethod net::InterfaceIPv6Info::configMethod

Interface configuration method.

Definition at line 131 of file Net.idl.

## ◆ dhcpPreferredHostname

string net::InterfaceIPv6Info::dhcpPreferredHostname

Preferred hostname (only used with DHCP)

Definition at line 134 of file Net.idl.

## ◆ dhcpServerId

string net::InterfaceIPv6Info::dhcpServerId

DHCPv6 server id or empty.

Definition at line 133 of file Net.idl.

## ◆ enabled

boolean net::InterfaceIPv6Info::enabled

`true` if IPv6 is enabled

Definition at line 130 of file Net.idl.

## ◆ raManaged

boolean net::InterfaceIPv6Info::raManaged

"Managed" flag set in router announcements

Definition at line 135 of file Net.idl.

## ◆ raOtherConf

boolean net::InterfaceIPv6Info::raOtherConf

"OtherConf" flag set in router announcements

Definition at line 136 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl